Summary: Firmware for Intel PRO/Wireless 2100 network adaptors
Name: ipw2100-firmware
Version: 1.3
Release: 1.PU_IAS.2
License: Distributable
Group: System Environment/Kernel
URL: http://ipw2100.sourceforge.net/firmware.php
# License agreement is displayed before download (referer protection)
Source: ipw2100-fw-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Provides: kernel-module kernel-modules
# we want this so that the old version lingers around as we could be running multiple versions of the kernel on the same machine
# and therefore we may need multiple versions of these modules

%description
This package contains the firmware files required by the ipw-2100 driver for
Linux. Usage of the firmware is subject to the terms contained in :
%{_defaultdocdir}/%{name}-%{version}/LICENSE. Please read it carefully.


%prep
%setup -c


%build


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 *.fw %{buildroot}/lib/firmware/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc LICENSE
/lib/firmware/*.fw


%changelog
* Sun Aug 13 2006 Josko Plazonic <plazonic@math.princeton.edu>
- use ipw2200-firmware rpm to build a new ipw2100-firmware rpm
